#ifndef LIST_H
#define LIST_H

#include <array>

#include "Types.h"

template<typename T, uint N>
class List final {
public:

    void add(const T& t) {
        if(index >= N) {
            return;
        }
        array[index++] = t;
    }

    void clear() {
        index = 0;
    }

    bool contains(const T& t) const {
        for(uint i = 0; i < index; i++) {
            if(t == array[i]) {
                return true;
            }
        }
        return false;
    }

    bool isEmpty() const {
        return index == 0;
    }

private:
    uint index = 0;
    std::array<T, N> array;
};

#endif